Remote Desktop Licensing Manager

Remote Desktop Licensing (RD Licensing)

Remote Desktop Licensing (RD Licensing), formerly Terminal Services Licensing (TS Licensing), manages the Remote Desktop Services client access licenses (RDS CALs) that are required for each device or user to connect to a Remote Desktop Session Host (RD Session Host) server. You use RD Licensing to install, issue, and track the availability of RD CALs on a Remote Desktop license server.

For an introduction to RD Licensing, see Overview of Remote Desktop Licensing.

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

The following topics are covered:

  • Overview of Remote Desktop Licensing

  • Checklist: Remote Desktop Licensing Installation Prerequisites

  • Checklist: Configure Remote Desktop Licensing

  • Remote Desktop Licensing Configuration Guidelines

  • Understanding Remote Desktop Licensing

  • Configuring Remote Desktop Licensing

  • Managing Remote Desktop Licensing

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

Note

In Windows Server 2008 R2, a terminal server is now called an RD Session Host server. Also, Terminal Services client access licenses (TS CALs) are now called Remote Desktop Services client access licenses (RDS CALs). In these Help topics, these new terms are used, even when referring to previous versions of Windows Server. Note that security group names have not changed in Windows Server 2008 R2.


Overview of Remote Desktop Licensing

What is RD Licensing?

Remote Desktop Licensing (RD Licensing), formerly Terminal Services Licensing (TS Licensing), manages the Remote Desktop Services client access licenses (RDS CALs) that are required for each device or user to connect to a Remote Desktop Session Host (RD Session Host) server. You use RD Licensing to install, issue, and track the availability of RDS CALs on a Remote Desktop license server.

Note

In Windows Server 2008 R2, a terminal server is now called an RD Session Host server. Also, Terminal Services client access licenses (TS CALs) are now called Remote Desktop Services client access licenses (RDS CALs). In these Help topics, these new terms are used, even when referring to previous versions of Windows Server. Note that security group names have not changed in Windows Server 2008 R2.

When a client—either a user or a device—connects to an RD Session Host server, the RD Session Host server determines if an RDS CAL is needed. The RD Session Host server then requests an RDS CAL from a Remote Desktop license server on behalf of the client attempting to connect to the RD Session Host server. If an appropriate RDS CAL is available from a license server, the RDS CAL is issued to the client, and the client is able to connect to the RD Session Host server.

Although there is a licensing grace period during which no license server is required, after the grace period ends, clients must have a valid RDS CAL issued by a license server before they can log on to an RD Session Host server.

Important

Remote Desktop supports two concurrent connections to remotely administer a computer. You do not need a license server for these connections.

To use Remote Desktop Services, you must also have at least one license server deployed in your environment. For small deployments, you can install both the RD Session Host role service and the RD Licensing role service on the same computer. For larger deployments, it is recommended that the RD Licensing role service be installed on a separate computer from the RD Session Host role service.

You must configure RD Licensing correctly in order for your RD Session Host server to accept connections from clients. To allow ample time for you to deploy a license server, Remote Desktop Services provides a licensing grace period for the RD Session Host server during which no license server is required. During this grace period, an RD Session Host server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the RD Session Host server accepts a client connection. The grace period ends after whichever of the following occurs first:

  • A permanent RDS CAL is issued by a license server to a client connecting to the RD Session Host server.

  • The number of days in the grace period is exceeded.

The length of the grace period is based on the operating system running on the RD Session Host server. The grace periods are as follows:

Operating system running on the RD Session Host server | Grace period
Windows Server 2008 R2 | 120 days
Windows Server 2008 | 120 days
Windows Server 2003 R2 | 120 days
Windows Server 2003 | 120 days
Windows 2000 | 90 days

By default, after you log on as a local administrator on an RD Session Host server, a message appears in the lower-right corner of the desktop that notes the number of days until the licensing grace period for the RD Session Host server expires.

Before the RD Licensing grace period ends, you must purchase and install the appropriate number of RDS CALs for each device or user that needs to connect to an RD Session Host server. In addition, you must verify that the Remote Desktop licensing mode that you specify on the RD Session Host server matches the type of RDS CAL available on the license server. The Remote Desktop licensing mode determines the type of RDS CAL that an RD Session Host server requests from a license server on behalf of a client connecting to the RD Session Host server.

Additional references

  • Remote Desktop Services Client Access Licenses (RDS CALs)

  • Checklist: Configure Remote Desktop Licensing

  • Install Remote Desktop Services Client Access Licenses


Checklist: Remote Desktop Licensing Installation Prerequisites

RD Licensing manages the Remote Desktop Services client access licenses (RDS CALs) that are required for each device or user to connect to a Remote Desktop Session Host (RD Session Host) server. You use RD Licensing to install, issue, and track the availability of RDS CALs on a Remote Desktop license server.

This checklist provides tasks that an administrator should perform before installing and configuring RD Licensing.

Task Reference

Determine if a Remote Desktop license server is needed.

Remote Desktop supports two concurrent connections to remotely administer a computer. You do not need a license server for these connections.

Verify that the license server supports the operating system of the RD Session Host servers.

RD Licensing in Windows Server 2008 R2 supports RD Session Host servers that run:

  • Windows Server 2008 R2

  • Windows Server 2008

  • Windows Server 2003 R2

  • Windows Server 2003

  • Windows 2000

Note

An RD Session Host server running Windows Server 2008 R2 can contact a license server running either Windows Server 2008 R2 or Windows Server 2008 to request RDS CALs.

Determine which type of RDS CALs to use.

Remote Desktop Services Client Access Licenses (RDS CALs)

Purchase the appropriate type and number of RDS CALs.

Purchase Client Access Licenses (http://go.microsoft.com/fwlink/?LinkId=81077)

Determine the discovery scope for the Remote Desktop license server. (Optional)

Remote Desktop License Server Discovery

Additional references

  • Overview of Remote Desktop Licensing

  • Checklist: Configure Remote Desktop Licensing


Checklist: Configure Remote Desktop Licensing

RD Licensing manages the Remote Desktop Services client access licenses (RDS CALs) that are required for each device or user to connect to a Remote Desktop Session Host (RD Session Host) server. You use RD Licensing to install, issue, and track the availability of RDS CALs on a Remote Desktop license server.

This checklist provides the tasks that an administrator needs to complete to install and configure RD Licensing.

Task | Reference
Review prerequisites for installing RD Licensing. | Checklist: Remote Desktop Licensing Installation Prerequisites
Install the RD Licensing role service. | Install the Remote Desktop Licensing Role Service
Activate the Remote Desktop license server. | Activate a Remote Desktop License Server
Install Remote Desktop Services client access licenses (RDS CALs) on the Remote Desktop license server. | Install Remote Desktop Services Client Access Licenses
Configure the RD Session Host server to support RD Licensing. | Configure License Settings on an RD Session Host Server

Additional references

  • Overview of Remote Desktop Licensing

  • Checklist: Remote Desktop Licensing Installation Prerequisites


Remote Desktop Licensing Configuration Guidelines

RD Licensing manages the Remote Desktop Services client access licenses (RDS CALs) that are required for each device or user to connect to a Remote Desktop Session Host (RD Session Host) server. You use RD Licensing to install, issue, and track the availability of RDS CALs on a Remote Desktop license server.

You must configure RD Licensing correctly for your RD Session Host server to accept connections from users or devices. The following is a list of things to consider when configuring RD Licensing:

  • How should the RD Session Host servers be configured to contact the license server? For more information, see Remote Desktop License Server Discovery and Specify a License Server for an RD Session Host Server to Use.

  • What type of RDS CALs need to be installed on the license server? For more information, see Remote Desktop Services Client Access Licenses (RDS CALs) and Specify the Remote Desktop Licensing Mode on an RD Session Host Server.

  • Do you need to be able to track and create reports about which users have been issued RDS Per User CALs by the license server? For more information, see Track the Issuance of Remote Desktop Services Per User Client Access Licenses.

  • Do you need to control which RD Session Host servers are issued RDS CALs by the license server? For more information, see Control the Issuance of Remote Desktop Services Client Access Licenses (RDS CALs).

  • Do you need to control which version of RDS CALs is issued to RD Session Host servers by the license server? For more information, see Control the Issuance of Remote Desktop Services Client Access Licenses (RDS CALs).

You can use Review Configuration in the Remote Desktop Licensing Manager tool to review the configuration of a license server. You can use Review Configuration to help identify possible RD Licensing configuration problems on a license server that would prevent the license server from doing the following:

  • Being contacted by RD Session Host servers.

  • Issuing RDS CALs to users or devices connecting to an RD Session Host server.

  • Tracking and reporting the issuance of RDS Per User CALs.

For more information about Review Configuration, see Review the Configuration of a Remote Desktop License Server.

Review Configuration is used to identify possible RD Licensing configuration problems on a license server, not configuration problems on an RD Session Host server. To be alerted to possible licensing configuration issues for the RD Session Host server, use Licensing Diagnosis in the Remote Desktop Session Host Configuration tool. For information about Licensing Diagnosis, see the topic "Identify Possible Licensing Problems for the RD Session Host Server" in the Remote Desktop Session Host Configuration Help in Windows Server 2008 R2.

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

Additional references

  • Overview of Remote Desktop Licensing

  • Checklist: Remote Desktop Licensing Installation Prerequisites

  • Checklist: Configure Remote Desktop Licensing


Understanding Remote Desktop Licensing

This section provides information about components of RD Licensing. The following topics are covered:

  • Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop License Server Discovery

  • Microsoft Clearinghouse

  • Remote Desktop Services License Management and Your Privacy

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

Additional references

  • Overview of Remote Desktop Licensing

  • Configuring Remote Desktop Licensing

  • Managing Remote Desktop Licensing

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)


Remote Desktop Services Client Access Licenses (RDS CALs)

There are two types of Remote Desktop Services client access licenses (RDS CALs):

  • RDS Per Device CALs

  • RDS Per User CALs

Important

The Remote Desktop licensing mode configured on a Remote Desktop Session Host (RD Session Host) server must match the type of RDS CALs available on the license server. For more information, see Specify the Remote Desktop Licensing Mode on an RD Session Host Server.

When Per Device licensing mode is used, and a client computer or device connects to an RD Session Host server for the first time, the client computer or device is issued a temporary license by default. When a client computer or device connects to an RD Session Host server for the second time, if the license server is activated and enough RDS Per Device CALs are available, the license server issues the client computer or device a permanent, RDS Per Device CAL.

An RDS Per User CAL gives one user the right to access an RD Session Host server from an unlimited number of client computers or devices. RDS Per User CALs are not enforced by RD Licensing. As a result, client connections can occur regardless of the number of RDS Per User CALs installed on the license server. This does not absolve administrators from Microsoft Software License Terms requirements to have a valid RDS Per User CAL for each user. Failure to have an RDS Per User CAL for each user, if Per User licensing mode is being used, is a violation of the license terms.

To ensure that you are in compliance with the license terms, make sure that you track the number of RDS Per User CALs being used in your organization and that you have a sufficient number of RDS Per User CALs installed on the license server to provide an RDS Per User CAL for each user that needs to connect to the RD Session Host server.

You can use the Remote Desktop Licensing Manager (RD Licensing Manager) tool to track and generate reports on the issuance of RDS Per User CALs. For more information, see Track the Issuance of Remote Desktop Services Per User Client Access Licenses.

Note

In Windows Server 2008 R2, Remote Desktop Services provides the ability to deploy a virtual desktop infrastructure (VDI). Each device connecting to a Remote Desktop Services VDI deployment needs a Per Device VDI CAL. For more information about Per Device VDI CALs, see http://go.microsoft.com/fwlink/?LinkId=143452.

For information about purchasing RDS CALs, see Purchase Client Access Licenses (http://go.microsoft.com/fwlink/?LinkId=81077).

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

Additional references

  • Understanding Remote Desktop Licensing

  • Install Remote Desktop Services Client Access Licenses


Remote Desktop License Server Discovery

When you install the RD Licensing role service, you can specify a discovery scope, which determines how the Remote Desktop license server is automatically discoverable by Remote Desktop Session Host (RD Session Host) servers that are running Windows Server 2008, Windows Server 2003, or Windows 2000. However, Microsoft recommends that you do not configure a discovery scope for the license server. Instead, you should use the Remote Desktop Session Host Configuration tool to specify a license server for an RD Session Host server to use.

Important

Automatic license server discovery is no longer supported for an RD Session Host server that is running Windows Server 2008 R2. Instead, you must specify a license server for the RD Session Host server to use. For more information, see Specify a License Server for an RD Session Host Server to Use.

When you install the RD Licensing role service, an attempt is made to register the license server as a service connection point (SCP) in Active Directory Domain Services (AD DS). When a license server is registered as an SCP, the license server appears in the list of known license servers in the Remote Desktop Session Host Configuration tool. If AD DS is not available during the installation of the RD Licensing role service, you can manually register the license server by using Review Configuration in the Remote Desktop Licensing Manager tool. For more information about Review Configuration, see Review the Configuration of a Remote Desktop License Server.

Note

You can also change the discovery scope of a license server by using Review Configuration.

For more information about discovery scopes, see http://go.microsoft.com/fwlink/?LinkId=101648.

Additional references

  • Understanding Remote Desktop Licensing

  • Install the Remote Desktop Licensing Role Service


Microsoft Clearinghouse

The Microsoft Clearinghouse is the facility that Microsoft maintains to activate Remote Desktop license servers, issue Remote Desktop Services client access licenses (RDS CALs) to license servers, recover RDS CALs, and deactivate or reactivate license servers. The Microsoft Clearinghouse stores information about all activated license servers and RDS CALs that have been issued.

The Microsoft Clearinghouse is accessed directly when you choose the Automatic connection method for the Activate Server Wizard, the Install Licenses Wizard, or the Manage RDS CALs Wizard in the Remote Desktop Licensing Manager (RD Licensing Manager) tool.

If you do not have Internet connectivity, you can also contact the Microsoft Clearinghouse by telephone. For more information, see Locate the Microsoft Clearinghouse Telephone Number for Your Country or Region.

You cannot purchase RDS CALs through the Microsoft Clearinghouse. For information about purchasing RDS CALs, see Purchase Client Access Licenses (http://go.microsoft.com/fwlink/?LinkId=81077).

Important

After you purchase RDS CALs, make sure that you retain the License Purchase Agreement information. Having this information with you facilitates communication with the Microsoft Clearinghouse should you need assistance with recovering RDS CALs or with other RD Licensing tasks that are supported by the Microsoft Clearinghouse.

Additional references

  • Understanding Remote Desktop Licensing

  • Activate a Remote Desktop License Server

  • Install Remote Desktop Services Client Access Licenses

  • Remote Desktop Services License Management and Your Privacy


Remote Desktop Services License Management and Your Privacy

Microsoft asks you to activate your Remote Desktop license server and Remote Desktop Services client access licenses (RDS CALs) to verify that you are a licensed user and to provide customized benefits and services. When you provide complete and accurate information, Microsoft customer service representatives can successfully re-create the licensing information on your Remote Desktop license server if technical problems occur. This prevents the possible loss of valuable licensing information.

You do not need to provide all the requested information. However, some fields—such as name, company name, and country/region—are required, and if you do not provide complete information, the Microsoft Clearinghouse might not be able to activate your Remote Desktop license server and RDS CALs.

For additional privacy information, see http://go.microsoft.com/fwlink/?LinkId=124854.

Additional references

  • Understanding Remote Desktop Licensing

  • Microsoft Clearinghouse


Configuring Remote Desktop Licensing

This section provides procedures for configuring RD Licensing. The following topics are covered:

  • Install the Remote Desktop Licensing Role Service

  • Activate a Remote Desktop License Server

  • Install Remote Desktop Services Client Access Licenses

  • Configure License Settings on an RD Session Host Server

You can also use the Remote Desktop Services module for Windows PowerShell to view and configure some RD Licensing settings. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Additional references

  • Overview of Remote Desktop Licensing

  • Understanding Remote Desktop Licensing

  • Managing Remote Desktop Licensing

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)


Install the Remote Desktop Licensing Role Service

Use the following procedure to install the Remote Desktop Licensing (RD Licensing) role service by using Server Manager.

Note

The installation of the RD Licensing role service does not require the computer to be restarted.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the RD Licensing role service

  1. On the server on which you want to install the RD Licensing role service, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. If the Remote Desktop Services role is not already installed:

    1. Under Roles Summary, click Add Roles.

    2. On the Before You Begin page of the Add Roles Wizard, click Next.

    3. On the Select Server Roles page, select the Remote Desktop Services check box, and then click Next.

    4. On the Remote Desktop Services page, click Next.

    5. On the Select Role Services page, select the Remote Desktop Licensing check box, and then click Next.

    If the Remote Desktop Services role is already installed:

    1. Under Roles Summary, click Remote Desktop Services.

    2. Under Role Services, click Add Role Services.

    3. On the Select Role Services page, select the Remote Desktop Licensing check box, and then click Next.

  3. On the Configure Discovery Scope for RD Licensing page, you can specify a discovery scope for the license server. For more information, see Remote Desktop License Server Discovery.

  4. On the Configure Discovery Scope for RD Licensing page, you can also specify the location where the RD Licensing database will be stored. If you want to specify a database location other than the default location provided, click Browse. Note that the database location must be a local folder on the computer on which the RD Licensing role service is being installed.

  5. Click Next.

  6. On the Confirm Installation Selections page, verify that the RD Licensing role service will be installed, and then click Install.

  7. On the Installation Progress page, installation progress is noted.

  8. On the Installation Results page, confirm that installation of the RD Licensing role service succeeded, and then click Close.

Additional references

  • Configuring Remote Desktop Licensing

  • Overview of Remote Desktop Licensing

  • Checklist: Remote Desktop Licensing Installation Prerequisites

  • Checklist: Configure Remote Desktop Licensing


Activate a Remote Desktop License Server

A license server must be activated to certify the license server and allow the license server to issue Remote Desktop Services client access licenses (RDS CALs). You can activate a license server by using the Activate Server Wizard in the Remote Desktop Licensing Manager tool.

There are three methods by which you can activate your license server:

  • Activate a Remote Desktop License Server Automatically

  • Activate a Remote Desktop License Server by Using a Web Browser

  • Activate a Remote Desktop License Server by Using the Telephone

When you activate the license server, Microsoft provides the server with a limited-use digital certificate that validates server ownership and identity. Microsoft uses an X.509 industry standard certificate for this purpose. By using this certificate, a license server can make subsequent transactions with Microsoft.

If a license server is not activated, the license server can only issue temporary RDS Per Device CALs, which are valid for 90 days, or RDS Per User CALs.

Additional references

  • Configuring Remote Desktop Licensing

  • Install Remote Desktop Services Client Access Licenses


Activate a Remote Desktop License Server Automatically

The automatic activation method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To activate a Remote Desktop license server automatically

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Right-click the license server that you want to activate, and then click Activate Server. The Activate Server Wizard starts.

  3. Click Next.

  4. On the Connection Method page, in the Connection method list, select Automatic connection (recommended), and then click Next.

  5. On the Company Information page, type your name and company, select your country or region, and then click Next.

  6. Specify any other information that you want to provide, such as e-mail and company address. This information is optional.

  7. Click Next. Your license server is activated.

  8. On the Completing the Activate Server Wizard page, do one of the following:

    • To install Remote Desktop Services client access licenses (RDS CALs) onto your license server, ensure that the Start Install Licenses Wizard now check box is selected, click Next, and then follow the instructions.

    • To install RDS CALs later, clear the Start Install Licenses Wizard now check box, and then click Finish.

Additional references

  • Activate a Remote Desktop License Server

  • Install Remote Desktop Services Client Access Licenses

  • Microsoft Clearinghouse


Activate a Remote Desktop License Server by Using a Web Browser

The Web activation method can be used when the computer running the Remote Desktop Licensing Manager tool does not have Internet connectivity, but you have access to the Web by means of a Web browser from another computer. The URL for the Web method is displayed in the Activate Server Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To activate a Remote Desktop license server by using a Web browser

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Right-click the license server that you want to activate, and then click Activate Server. The Activate Server Wizard starts.

  3. Click Next.

  4. On the Connection Method page, in the Connection method list, select Web Browser, and then click Next.

  5. On the License Server Activation page, click the hyperlink to connect to the Remote Desktop Services Licensing Web site.

    If you are running Remote Desktop Licensing Manager on a computer that does not have Internet connectivity, note the address for the Remote Desktop Services Licensing Web site, and then connect to the Web site from a computer that has Internet connectivity.

  6. Under Select Option, click Activate a license server, and then click Next.

  7. In the Product ID boxes, type your Product ID. Your Product ID is displayed on the License Server Activation page of the Activate Server Wizard. You must also complete the name, company, and country/region fields. Specify any other information that you want to provide, such as e-mail and company address, and then click Next.

  8. Confirm your entries, and then click Next. Your license server ID is displayed.

  9. On the License Server Activation page in the Activate Server Wizard, type the license server ID that you received in the previous step, and then click Next. Your license server is activated.

  10. On the Completing the Activate Server Wizard page, do one of the following:

    • To install Remote Desktop Services client access licenses (RDS CALs) onto your license server, ensure that the Start Install Licenses Wizard now check box is selected, click Next, and then follow the instructions.

    • To install RDS CALs later, clear the Start Install Licenses Wizard now check box, and then click Finish.

Additional references

  • Activate a Remote Desktop License Server

  • Install Remote Desktop Services Client Access Licenses


Activate a Remote Desktop License Server by Using the Telephone

The telephone activation method allows you to talk to a Microsoft customer service representative to complete the activation process. The appropriate telephone number is determined by the country/region that you chose in the Activate Server Wizard and is displayed by the wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To activate a Remote Desktop license server by telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Right-click the license server that you want to activate, and then click Activate Server. The Activate Server Wizard starts.

  3. Click Next.

  4. On the Connection Method page, in the Connection method list, select Telephone, and then click Next.

  5. On the Country or Region Selection page, click your country/region, and then click Next to view the appropriate telephone number to call.

  6. Call Microsoft by using the telephone number that is displayed on the License Server Activation page, and then provide the Microsoft customer support representative with the Product ID that is displayed on your screen. The representative will also ask you to provide your name and the name of your company. The representative processes your request to activate the license server, and creates a unique ID for your license server.

  7. On the License Server Activation page in the Activate Server Wizard, type the license server ID that the representative provides, and then click Next. Your license server is activated.

  8. On the Completing the Activate Server Wizard page, do one of the following:

    • To install Remote Desktop Services client access licenses (RDS CALs) onto your license server, ensure that the Start Install Licenses Wizard now check box is selected, click Next, and then follow the instructions.

    • To install RDS CALs later, clear the Start Install Licenses Wizard now check box, and then click Finish.

Additional references

  • Activate a Remote Desktop License Server

  • Install Remote Desktop Services Client Access Licenses

  • Microsoft Clearinghouse


Install Remote Desktop Services Client Access Licenses

There are three methods by which you can install Remote Desktop Services client access licenses (RDS CALs) onto your license server:

  • Install Remote Desktop Services Client Access Licenses Automatically

  • Install Remote Desktop Services Client Access Licenses by Using a Web Browser

  • Install Remote Desktop Services Client Access Licenses by Using the Telephone

Before installing RDS CALs onto your license server, note the following:

  • You must activate your Remote Desktop license server before you can install RDS CALs onto your license server. For more information, see Activate a Remote Desktop License Server.

  • You need a license code to install RDS CALs onto your license server. A license code is provided when you purchase your RDS CALs. For more information, see Purchase Client Access Licenses (http://go.microsoft.com/fwlink/?LinkId=81077).

  • You can install both Per User and Per Device CALs onto the same license server.

  • You can install RDS CALs for different product versions onto the same license server. For example, you can install both Windows Server 2003 TS Per Device CALs and Windows Server 2008 TS Per User CALs onto a license server that is running Windows Server 2008 R2. This provides you the ability to have one license server provide RDS CALs to Remote Desktop Session Host (RD Session Host) servers running various versions of Windows Server.

Note

In Windows Server 2008 R2, Terminal Services client access licenses (TS CALs) are now called Remote Desktop Services client access licenses (RDS CALs).

Additional references

  • Configuring Remote Desktop Licensing

  • Remote Desktop Services Client Access Licenses (RDS CALs)


Install Remote Desktop Services Client Access Licenses Automatically

The automatic installation method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install Remote Desktop Services client access licenses automatically

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Automatic connection (recommended) by right-clicking the license server on which you want to install Remote Desktop Services client access licenses (RDS CALs), and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Right-click the license server on which you want to install the RDS CALs, and then click Install Licenses. The Install Licenses Wizard starts.

  4. Click Next.

  5. On the License Program page, select the appropriate program through which you purchased your RDS CALs, and then click Next.

  6. The License Program that you selected on the previous page in the wizard determines what information you need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs.

  7. After you have entered the required information, click Next.

  8. On the Product Version and License Type page, select the appropriate product version, license type, and quantity of RDS CALs for your environment based on your RDS CAL purchase agreement, and then click Next.

  9. The Microsoft Clearinghouse is automatically contacted and processes your request. The RDS CALs are then automatically installed onto the license server.

  10. To complete the process, click Finish. The license server can now issue RDS CALs to clients that connect to a Remote Desktop Session Host (RD Session Host) server.

Additional references

  • Install Remote Desktop Services Client Access Licenses

  • Microsoft Clearinghouse


Install Remote Desktop Services Client Access Licenses by Using a Web Browser

The Web installation method can be used when the computer running the Remote Desktop Licensing Manager tool does not have Internet connectivity, but you have access to the Web by means of a Web browser from another computer. The URL for the Web installation method is displayed in the Install Licenses Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install Remote Desktop Services client access licenses by using a Web browser

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Web Browser by right-clicking the license server on which you want to install Remote Desktop Services client access licenses (RDS CALs), and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Right-click the license server on which you want to install the RDS CALs, and then click Install Licenses. The Install Licenses Wizard starts.

  4. Click Next.

  5. On the Obtain Client License Key Pack page, click the hyperlink to connect to the Remote Desktop Services Licensing Web site.

    If you are running Remote Desktop Licensing Manager on a computer that does not have Internet connectivity, note the address for the Remote Desktop Services Licensing Web site, and then connect to the Web site from a computer that has Internet connectivity.

  6. On the Remote Desktop Services Licensing Web page, under Select Option, select Install Client Access License tokens, and then click Next.

  7. Provide the following required information:

    • License Server ID A 35-digit number, in groups of 5 numerals, which is displayed on the Obtain Client License Key Pack page in the Install Licenses Wizard.

    • License Program Select the appropriate program through which you purchased your RDS CALs.

    • Last name or surname

    • First name or given name

    • Company name

    • Country/region

    You can also provide the optional information requested, such as company address, e-mail address, and phone number. In the organizational unit field, you can describe the unit within your organization that this license server serves.

  8. Click Next.

  9. The License Program that you selected on the previous page determines what information you need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs. In addition, you need to specify which type of RDS CAL and the quantity that you want to install on the license server.

  10. After you have entered the required information, click Next.

  11. Verify that all of the information that you have entered is correct. To submit your request to the Microsoft Clearinghouse, click Next. The Web page then displays a license key pack ID generated by the Microsoft Clearinghouse.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse, should you need assistance with recovering RDS CALs.

  12. In the Install Licenses Wizard, on the Obtain Client License Key Pack page, enter the license key pack ID in the boxes provided, and then click Next. The RDS CALs are installed on your license server.

  13. On the Completing the Install Licenses Wizard page, click Finish. The license server can now issue RDS CALs to clients that connect to a Remote Desktop Session Host (RD Session Host) server.

Additional references

  • Install Remote Desktop Services Client Access Licenses

  • Microsoft Clearinghouse


Install Remote Desktop Services Client Access Licenses by Using the Telephone

The telephone installation method allows you to talk to a Microsoft customer service representative to complete the installation process. The appropriate telephone number is determined by the country/region that you chose in the Activate Server Wizard and is displayed by the wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install Remote Desktop Services client access licenses by using the telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Telephone by right-clicking the license server on which you want to install Remote Desktop Services client access licenses (RDS CALs), and then clicking Properties. On the Connection Method tab, change the connection method if necessary, ensure that the correct country or region is selected in the Select Country or Region list, and then click OK.

  3. Right-click the license server on which you want to install the RDS CALs, and then click Install Licenses. The Install Licenses Wizard starts.

  4. Click Next.

  5. On the Obtain Client License Key Pack page, use the telephone number that is displayed to call the Microsoft Clearinghouse, and give the representative your Remote Desktop license server ID and the required information for the licensing program through which you purchased your RDS CALs. The representative then processes your request to install RDS CALs, and gives you a unique ID for the RDS CALs. This unique ID is referred to as the license key pack ID.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse should you need assistance with recovering RDS CALs.

  6. In the Install Licenses Wizard, on the Obtain client license key pack page, enter the license key pack ID provided by the representative into the boxes provided, and then click Next. The RDS CALs are installed on your Remote Desktop license server.

  7. To complete the process, click Finish. The Remote Desktop license server can now issue RDS CALs to clients that connect to a Remote Desktop Session Host (RD Session Host) server.

Additional references

  • Install Remote Desktop Services Client Access Licenses

  • Microsoft Clearinghouse


Configure License Settings on an RD Session Host Server

Each user or computing device that connects to a Remote Desktop Session Host (RD Session Host) server must have a valid Remote Desktop Services client access license (RDS CAL) issued by a Remote Desktop license server.

After you have installed and configured the license server, you need to do the following on your RD Session Host server to ensure that the RD Session Host server can contact the license server to request RDS CALs for clients:

  • Specify the Remote Desktop Licensing Mode on an RD Session Host Server

  • Specify a License Server for an RD Session Host Server to Use

To be alerted to possible licensing configuration issues, use Licensing Diagnosis in the Remote Desktop Session Host Configuration tool. For information about Licensing Diagnosis, see the topic "Identify Possible Licensing Problems for the RD Session Host Server" in the Remote Desktop Session Host Configuration Help in Windows Server 2008 R2.

Additional references

  • Configuring Remote Desktop Licensing


Specify the Remote Desktop Licensing Mode on an RD Session Host Server

The Remote Desktop licensing mode determines the type of Remote Desktop Services client access licenses (RDS CALs) that a Remote Desktop Session Host (RD Session Host) server requests from a Remote Desktop license server on behalf of a client connecting to the RD Session Host server.

Important

The Remote Desktop licensing mode configured on an RD Session Host server must match the type of RDS CALs available on the license server.

For more information about RDS CALs, see Remote Desktop Services Client Access Licenses (RDS CALs).

Use the following procedure to specify the Remote Desktop licensing mode for the RD Session Host server by using the Remote Desktop Session Host Configuration tool.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To specify the Remote Desktop licensing mode

  1. On the RD Session Host server, open Remote Desktop Session Host Configuration. To open Remote Desktop Session Host Configuration, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Session Host Configuration.

  2. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Yes.

  3. In the Edit settings area, under Licensing, double-click Remote Desktop licensing mode.

  4. On the Licensing tab of the Properties dialog box, click either Per Device or Per User, depending on which is most appropriate for your environment.

    If the Remote Desktop licensing mode choices are dimmed and you cannot make a selection, the Set the Remote Desktop licensing mode Group Policy setting has been enabled and has been applied to the RD Session Host server.

  5. After you have specified a Remote Desktop licensing mode, you must specify a license server for the RD Session Host server to use. For more information, see Specify a License Server for an RD Session Host Server to Use.

  6. Click OK to save your changes to the licensing settings.

The Remote Desktop licensing mode for the RD Session Host server can also be set in the following ways:

  • During the installation of the RD Session Host role service in Server Manager, on the Specify Licensing Mode page in the Add Roles Wizard.

    On the Specify Licensing Mode page, you can select Configure later if you are unsure during the installation whether to select Per Device or Per User. If you select Configure later, each time that you log on to the RD Session Host server, a message appears in the lower-right corner of the desktop reminding you that you need to configure the licensing mode for the RD Session Host server.

  • By applying the Set the Remote Desktop licensing mode Group Policy setting.

    This Group Policy setting is located in Computer Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\Remote Desktop Session Host\Licensing and can be configured by using either the Local Group Policy Editor or the Group Policy Management Console (GPMC). Note that the Group Policy setting takes precedence over the setting configured in Remote Desktop Session Host Configuration.

    For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

  • By using the Remote Desktop Services module for Windows PowerShell. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

Additional references

  • Configure License Settings on an RD Session Host Server


Specify a License Server for an RD Session Host Server to Use

A Remote Desktop Session Host (RD Session Host) server must be able to contact a Remote Desktop license server to request Remote Desktop Services client access licenses (RDS CALs) for users or computing devices that are connecting to the RD Session Host server.

In Windows Server 2008 R2, you must specify a license server for the RD Session Host server to use. Automatic license server discovery is no longer supported for an RD Session Host server that is running Windows Server 2008 R2.

An RD Session Host server running Windows Server 2008 R2 can contact a license server running either Windows Server 2008 R2 or Windows Server 2008 to request RDS CALs.

Note

Before you can specify a license server for the RD Session Host server to use, you must specify a Remote Desktop licensing mode. For more information, see Specify the Remote Desktop Licensing Mode on an RD Session Host Server.

Use the following procedure to specify a license server for the RD Session Host server to use by using the Remote Desktop Session Host Configuration tool.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To specify a license server for the RD Session Host server to use

  1. On the RD Session Host server, open Remote Desktop Session Host Configuration. To open Remote Desktop Session Host Configuration, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Session Host Configuration.

  2. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Yes.

  3. In the Edit settings area, under Licensing, double-click Remote Desktop license servers.

  4. On the Licensing tab of the Properties dialog box, click Add.

  5. In the Add License Server dialog box, select a license server from the list of known license servers, and then click Add. If the license server that you want to add is not listed, in the License server name or IP address box, type the name or IP address of the license server that you want to add, and then click Add.

    You can add more than one license server for the RD Session Host server to use. The RD Session Host server contacts the license servers in the order in which they appear in the Specified license servers box.

  6. Click OK to close the Add License Server dialog box, and then click OK to save your changes to the licensing settings.

You can also specify a license server for the RD Session Host server to use by applying the Use the specified Remote Desktop license servers Group Policy setting. This Group Policy setting is located in Computer Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\Remote Desktop Session Host\Licensing and can be configured by using either the Local Group Policy Editor or the Group Policy Management Console (GPMC). Note that the Group Policy setting takes precedence over the license servers configured in Remote Desktop Session Host Configuration.

For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

You can also use the Remote Desktop Services module for Windows PowerShell to configure RD Licensing-related settings. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

For more information about RD Licensing, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140434).

Additional references

Configure License Settings on an RD Session Host Server


Managing Remote Desktop Licensing

This section provides procedures for managing RD Licensing. The following topics are covered:

  • Running Remote Desktop Licensing Manager

  • Change the Properties of a Remote Desktop License Server

  • Change the Discovery Scope of a Remote Desktop License Server

  • Review the Configuration of a Remote Desktop License Server

  • Deactivate a Remote Desktop License Server

  • Reactivate a Remote Desktop License Server

  • Back Up a Remote Desktop License Server

  • Move Remote Desktop Licensing to a New Server

  • Uninstall the Remote Desktop Licensing Role Service

  • Locate the Microsoft Clearinghouse Telephone Number for Your Country or Region

  • Find the License Server ID for a Remote Desktop License Server

You can also use the Remote Desktop Services module for Windows PowerShell to view and configure some RD Licensing settings. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Additional references

  • Overview of Remote Desktop Licensing

  • Understanding Remote Desktop Licensing

  • Configuring Remote Desktop Licensing

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)


Running Remote Desktop Licensing Manager

The Remote Desktop Licensing Manager tool is automatically installed on any computer on which the RD Licensing role service has been installed. If you want to manage your license servers from a remote computer running Windows Server 2008 R2, you can install Remote Desktop Licensing Manager on that computer by using the following procedure.

Note

Remote Desktop Licensing Manager is not a Microsoft Management Console (MMC) snap-in.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install Remote Desktop Licensing Manager by using Server Manager

  1. Open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. In the left pane, right-click Features, and then click Add Features.

  3. On the Select Features page, expand Remote Server Administration Tools, expand Role Administration Tools, and then expand Remote Desktop Services Tools.

  4. Select the Remote Desktop Licensing Tools check box, and then click Next.

  5. On the Confirm Installation Selections page, click Install.

  6. On the Installation Progress page, installation progress is noted.

  7. On the Installation Results page, confirm that installation of Remote Desktop Licensing Tools succeeded, and then click Close.

You can run Remote Desktop Licensing Manager from either of the following locations:

  • Start menu

  • Server Manager

Note

Remote Desktop Licensing Manager is available in Server Manager only if the Remote Desktop Services role is installed on the computer.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To run Remote Desktop Licensing Manager from the Start menu

  • On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  • Click Start, click Run, type licmgr.exe, and then press ENTER.
To run Remote Desktop Licensing Manager from Server Manager

  1. Click Start, point to Administrative Tools, and then click Server Manager.

  2. Under Roles Summary, click Remote Desktop Services.

  3. Under Advanced Tools, click Remote Desktop Licensing Manager.

Additional references

  • Managing Remote Desktop Licensing


Change the Properties of a Remote Desktop License Server

When you activate the Remote Desktop license server by using the Activate Server Wizard in Remote Desktop Licensing Manager, you are asked to provide the following:

  • Connection method for communicating with the Microsoft Clearinghouse

  • Required information, such as company name

  • Optional information, such as e-mail address

The information that you provide in the Activate Server Wizard is stored for future reference as properties of the license server.

Use the following procedure to change these properties of the license server.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To change Remote Desktop license server properties

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Right-click the license server for which you want to change properties, and then click Properties.

  3. Click any of the following tabs to modify properties:

    • Connection Method to select a different method for communicating with the Microsoft Clearinghouse. You can select Automatic connection (recommended), Web Browser, or Telephone. If you select Telephone, ensure that the appropriate country or region is selected in the Select Country or Region list.

    • Required Information to make changes to your name, company, and country/region.

    • Optional Information to make changes to your e-mail and company address.

Additional references

  • Managing Remote Desktop Licensing

  • Microsoft Clearinghouse

  • Activate a Remote Desktop License Server


Change the Discovery Scope of a Remote Desktop License Server

You can use Review Configuration in the Remote Desktop Licensing Manager tool to change the discovery scope of the license server after the RD Licensing role service has been installed on the computer.

Note

If the license server is a member of a workgroup, and then you join the license server to an Active Directory domain, the discovery scope for the license server is automatically changed from Workgroup to Domain.

Use the following procedure to change the discovery scope of a license server by using Remote Desktop Licensing Manager.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To change the discovery scope of a license server by using Remote Desktop Licensing Manager

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Select the license server for which you want to change the discovery scope, and then on the Action menu, click Review Configuration.

  3. The current discovery scope of the license server is displayed at the top of the Configuration dialog box. To change the discovery scope for the license server, click Change Scope.

  4. A message appears informing you that Enterprise Admins privileges are required to change the discovery scope of the license server. Click Continue.

  5. Select the appropriate discovery scope for the license server. The choices are:

    • This domain

    • The forest

  6. Click OK. A message appears confirming that the discovery scope for the license server has changed. Click OK.

  7. The new discovery scope for the license server is displayed at the top of the Configuration dialog box.

    If any configuration issues occur from changing the discovery scope, those issues are displayed in the Configuration dialog box. For more information, see Review the Configuration of a Remote Desktop License Server.

  8. Click OK to close the Configuration dialog box.

Additional references

  • Remote Desktop License Server Discovery

  • Managing Remote Desktop Licensing


Review the Configuration of a Remote Desktop License Server

After installing and configuring the RD Licensing role service, you can use Review Configuration in the Remote Desktop Licensing Manager tool to review the configuration of the license server. You can use Review Configuration to help identify possible RD Licensing configuration problems on the license server that would prevent the license server from doing the following:

  • Being contacted by Remote Desktop Session Host (RD Session Host) servers.

  • Issuing Remote Desktop Services client access licenses (RDS CALs) to users or devices connecting to an RD Session Host server.

  • Tracking and reporting the issuance of RDS Per User CALs.

Note

Review Configuration is used to identify possible RD Licensing configuration problems on a license server, not configuration problems on an RD Session Host server. To be alerted to possible licensing configuration issues on an RD Session Host server, use Licensing Diagnosis in the Remote Desktop Session Host Configuration tool. For information about Licensing Diagnosis, see the topic "Identify Possible Licensing Problems for the RD Session Host Server" in the Remote Desktop Session Host Configuration Help in Windows Server 2008 R2.

To use Review Configuration, the license server must be a member of an Active Directory domain.

The following is a list of some of the things that Review Configuration checks about the configuration of a license server:

  • If a license server is registered as a service connection point (SCP) in Active Directory Domain Services (AD DS).

  • If the discovery scope for a license server is set to Domain, Review Configuration checks if the license server is installed on a domain controller.

  • If the discovery scope for a license server is set to Forest, Review Configuration checks if the license server is published in AD DS.

  • If the discovery scope for a license server is set to either Domain or Forest, Review Configuration checks if the license server is a member of the Terminal Server License Servers group in AD DS.

  • If the License server security group Group Policy setting is enabled and applied to the license server.

    Note

    For more information about the License server security group Group Policy setting, see Control the Issuance of Remote Desktop Services Client Access Licenses (RDS CALs).

You can also change the discovery scope of the license server in Review Configuration by clicking Change Scope. For more information, see Change the Discovery Scope of a Remote Desktop License Server.

The location of the RD Licensing database is also shown in Review Configuration.

Use the following procedure to review the configuration of a license server by using Remote Desktop Licensing Manager.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To review the configuration of a license server by using Remote Desktop Licensing Manager

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. In the left pane, click All servers. In the right pane, in the Configuration column, you will see either OK or Review. Review indicates that there is a possible configuration issue with the license server.

  3. To review the configuration details of a license server, do one of the following:

    • Select the license server that you want to review, and then on the Action menu, click Review Configuration.

    • Right-click the license server that you want to review, and then click Review Configuration.

    • If Review is displayed in the Configuration column for a license server, click Review.

  4. In the Configuration dialog box, a list of messages provides you with information about the configuration of the license server and identifies possible configuration issues.

    For certain configuration issues, you are able to correct the problem from within the Configuration dialog box, if you have the appropriate administrative privileges. For example, if the license server is not published in AD DS and you have Enterprise Admins privileges in AD DS, you can click Publish in AD DS to correct the problem.

Additional references

  • Managing Remote Desktop Licensing


Deactivate a Remote Desktop License Server

You might need to deactivate a Remote Desktop license server when the certificate of the server has expired or becomes corrupted, or when the server is being redeployed. When you deactivate a Remote Desktop license server, the license server is not able to issue permanent Remote Desktop Services Per Device client access licenses (RDS Per Device CALs) to additional clients until the license server is activated again. However, a deactivated license server is able to issue RDS Per User CALs and temporary RDS Per Device CALs.

You can deactivate a license server by using one of the following methods:

  • Deactivate a Remote Desktop License Server Automatically

  • Deactivate a Remote Desktop License Server by Using the Telephone

You cannot deactivate a Remote Desktop license server by using the Web browser connection method.

Additional references

  • Managing Remote Desktop Licensing

  • Activate a Remote Desktop License Server


Deactivate a Remote Desktop License Server Automatically

The automatic deactivation method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the Remote Desktop license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To deactivate a Remote Desktop license server automatically

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Automatic connection (recommended) by right-clicking the license server that you want to deactivate, and then clicking Properties. On the Connection Method tab, change the connection method if necessary.

  3. Right-click the license server that you want to deactivate, point to Advanced, and then click Deactivate Server. The Deactivate Server Wizard starts.

  4. On the Welcome page, click Next.

  5. On the Information Needed page, provide the requested information, and then click Next.

  6. Your request to deactivate the license server is sent to the Microsoft Clearinghouse for processing, and the license server is deactivated.

  7. On the Completing the Deactivate Server Wizard page, click Finish.

Additional references

  • Deactivate a Remote Desktop License Server

  • Microsoft Clearinghouse

  • Activate a Remote Desktop License Server


Deactivate a Remote Desktop License Server by Using the Telephone

The telephone deactivation method allows you to talk to a Microsoft customer service representative to complete the deactivation process. The appropriate telephone number is determined by the country/region that is configured for the Remote Desktop license server, and that telephone number is displayed in the Deactivate Server Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To deactivate a Remote Desktop license server by using the telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Telephone by right-clicking the license server that you want to deactivate, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, ensure that the correct country or region is selected in the Select Country or Region list, and then click OK.

  3. Right-click the license server that you want to deactivate, point to Advanced, and then click Deactivate Server. The Deactivate Server Wizard starts.

  4. On the Welcome page, click Next.

  5. Call Microsoft by using the telephone number that is displayed on the License Server Deactivation page, and then provide the Microsoft customer support representative with the license server ID that is displayed on your screen.

  6. The representative processes your request to deactivate the license server, and then provides you with a confirmation code. On the License Server Deactivation page in the Deactivate Server Wizard, type the confirmation code that the representative provides, and then click Next. The license server is deactivated.

  7. On the Completing the Deactivate Server Wizard page, click Finish.

Additional references

  • Deactivate a Remote Desktop License Server

  • Microsoft Clearinghouse

  • Activate a Remote Desktop License Server


Reactivate a Remote Desktop License Server

You must reactivate a Remote Desktop license server when any of the following occur:

  • The license server certificate has become corrupted.

  • The license server certificate has expired.

  • The license server private key has been compromised.

You can reactivate a license server by using one of the following methods:

  • Reactivate a Remote Desktop License Server Automatically

  • Reactivate a Remote Desktop License Server by Using a Web Browser

  • Reactivate a Remote Desktop License Server by Using the Telephone

Additional references

  • Managing Remote Desktop Licensing

  • Microsoft Clearinghouse


Reactivate a Remote Desktop License Server Automatically

The automatic reactivation method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the Remote Desktop license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To reactivate a Remote Desktop license server automatically

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Automatic connection (recommended) by right-clicking the license server that you want to reactivate, and then clicking Properties. On the Connection Method tab, change the connection method if necessary.

  3. Right-click the license server that you want to reactivate, point to Advanced, and then click Reactivate Server. The Reactivate Server Wizard starts.

  4. On the Welcome page, click Next.

  5. On the Information Needed page, provide the requested information, and then click Next.

  6. Your request to reactivate the license server is sent to the Microsoft Clearinghouse for processing, and the license server is reactivated.

  7. On the Completing the Reactivate Server Wizard page, click Finish.

Additional references

  • Reactivate a Remote Desktop License Server

  • Microsoft Clearinghouse


Reactivate a Remote Desktop License Server by Using a Web Browser

The Web reactivation method can be used when the computer running the Remote Desktop Licensing Manager tool does not have Internet connectivity, but you have access to the Web by means of a Web browser from another computer. The URL for the Web method is displayed in the Reactivate Server Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To reactivate a Remote Desktop license server by using a Web browser

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Web Browser by right-clicking the license server that you want to reactivate, and then clicking Properties. On the Connection Method tab, change the connection method if necessary.

  3. Right-click the license server that you want to reactivate, point to Advanced, and then click Reactivate Server. The Reactivate Server Wizard starts.

  4. On the Welcome page, click Next.

  5. On the License Server Activation page, click the hyperlink to connect to the Remote Desktop Services Licensing Web site.

    If you are running Remote Desktop Licensing Manager on a computer that does not have Internet connectivity, note the address for the Remote Desktop Services Licensing Web site, and then connect to the Web site from a computer that has Internet connectivity.

  6. Under Select Option, click Reactivate a license server, and then click Next.

  7. On the page, do the following:

    • In the License Server ID boxes, type your License Server ID. Your License Server ID is displayed on the License Server Reactivation page of the Reactivate Server Wizard.

    • In the Product ID boxes, type your Product ID. Your Product ID is displayed on the License Server Reactivation page of the Reactivate Server Wizard.

    • Complete the name and company fields.

  8. Click Next, confirm your entries, and then click Next. Your new license server ID is displayed.

  9. On the License Server Reactivation page in the Reactivate Server Wizard, type the new license server ID that you received in the previous step, and then click Next. The license server is reactivated.

  10. On the Completing the Reactivate Server Wizard page, click Finish.

Additional references

  • Reactivate a Remote Desktop License Server

  • Microsoft Clearinghouse


Reactivate a Remote Desktop License Server by Using the Telephone

The telephone reactivation method allows you to talk to a Microsoft customer service representative to complete the reactivation process. The appropriate telephone number is determined by the country/region that is configured for the Remote Desktop license server, and that telephone number is displayed in the Reactivate Server Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To reactivate a Remote Desktop license server by using the telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Telephone by right-clicking the license server that you want to reactivate, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, ensure that the correct country or region is selected in the Select Country or Region list, and then click OK.

  3. Right-click the license server that you want to reactivate, point to Advanced, and then click Reactivate Server. The Reactivate Server Wizard starts.

  4. On the Welcome page, click Next.

  5. Call Microsoft by using the telephone number that is displayed on the License Server Reactivation page, and then provide the Microsoft customer support representative with the product ID and license server ID that is displayed on your screen.

  6. The representative processes your request to reactivate the license server, and then provides you with a new license server ID. On the License Server Reactivation page in the Reactivate Server Wizard, type the new license server ID that the representative provides, and then click Next. The license server is reactivated.

  7. On the Completing the Reactivate Server Wizard page, click Finish.

Additional references

  • Reactivate a Remote Desktop License Server

  • Microsoft Clearinghouse


Back Up a Remote Desktop License Server

You should back up your Remote Desktop license server regularly by using the Windows Server Backup tool or the backup software deployed in your environment. This helps protect your licensing data from accidental loss if your system experiences hardware or storage failure.

When backing up a license server, back up both the System State data and the folder in which the RD Licensing database is installed. This ensures that data in both the registry and the RD Licensing database is backed up.

Note

You can use Review Configuration to find in which folder the RD Licensing database is installed. For more information about Review Configuration, see Review the Configuration of a Remote Desktop License Server.

If you restore the System State data and the RD Licensing database to the same license server computer, any un-issued licenses are restored correctly as long as you have not replaced the operating system on the computer. If you do not restore to the same computer, any un-issued licenses that are detected are not restored and an event appears in the system log of Event Viewer. You can still restore the un-issued licenses by contacting the Microsoft Clearinghouse by phone and requesting that the licenses be reissued.

Additional references

  • Managing Remote Desktop Licensing

  • Microsoft Clearinghouse


Move Remote Desktop Licensing to a New Server

If you want to move RD Licensing from an existing Remote Desktop license server to another computer, follow these general steps:

  1. Document the configuration of your existing license server and your RD Licensing environment, including such information as:

    • The number and type of Remote Desktop Services client access licenses (RDS CALs) that are installed on the license server.

    • Which Remote Desktop Session Host (RD Session Host) servers are configured to use the license server.

    • RDS CAL purchase agreement documentation.

  2. Determine the new computer on which you want to install the RD Licensing role service. For more information, see Checklist: Remote Desktop Licensing Installation Prerequisites.

  3. Install the RD Licensing role service on the new computer. For more information, see Install the Remote Desktop Licensing Role Service.

  4. Activate the new license server. For more information, see Activate a Remote Desktop License Server.

  5. Migrate the RDS CALs from the existing license server to the new license server by using the Manage RDS CALs Wizard in Remote Desktop Licensing Manager. For more information, see Migrate Remote Desktop Services Client Access Licenses (RDS CALs).

  6. Configure the RD Session Host servers to use the new license server. For more information, see Specify a License Server for an RD Session Host Server to Use.

    Note

    A client that received an RDS CAL from the previous license server continues to operate as normal until its RDS CAL expires. When the previously issued RDS CAL expires, the RD Session Host server requests a new RDS CAL from the new license server on behalf of the client.

  7. After you have confirmed that the RD Session Host servers in your environment are configured to use the new license server, deactivate the previous license server. For more information, see Deactivate a Remote Desktop License Server.

  8. Uninstall (remove) the RD Licensing role service from the previous license server. For more information, see Uninstall the Remote Desktop Licensing Role Service.

Additional references

  • Managing Remote Desktop Licensing

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)


Uninstall the Remote Desktop Licensing Role Service

Use the following procedure to uninstall (remove) the RD Licensing role service from the server.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

Important

The removal of the RD Licensing role service from the server requires that you restart the computer. Also, the folder containing the RD Licensing database is deleted.

To uninstall (remove) the RD Licensing role service

  1. Open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. In the left pane, expand Roles.

  3. Right-click Remote Desktop Services, and then click Remove Role Services.

  4. On the Select Role Services page, clear the Remote Desktop Licensing check box, and then click Next.

  5. On the Confirm Removal Selections page, click Remove.

  6. On the Removal Progress page, removal progress is noted.

  7. On the Removal Results page, you are prompted to restart the server to finish the removal process. Click Close, and then click Yes to restart the server.

  8. If you are prompted that other programs are still running, do either of the following:

    • To close the programs manually and restart the server later, click Cancel.

    • To automatically close the programs and restart the server, click Restart now.

  9. After the server restarts and you log on to the computer with the same user account, the remaining steps of the removal process finish automatically. When the Removal Results page appears, confirm that the removal of RD Licensing succeeded, and then click Close.

Additional references

  • Managing Remote Desktop Licensing


Locate the Microsoft Clearinghouse Telephone Number for Your Country or Region

Use one of the following procedures to locate the Microsoft Clearinghouse telephone number for your country or region by using Remote Desktop Licensing Manager.

Note

For the most current list of telephone numbers, see http://go.microsoft.com/fwlink/?LinkID=122174.

Locate the Microsoft Clearinghouse telephone number when the license server is activated

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To locate the Microsoft Clearinghouse telephone number when the license server is activated

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Select the license server. On the View menu, click Properties.

  3. On the Connection Method tab, in the Connection method list, select Telephone.

  4. In the Select Country or Region list, select your country or region, and then click OK.

  5. On the Action menu, click Install Licenses, and then click Next.

  6. The Microsoft Clearinghouse telephone number for your country or region is displayed. Write down the telephone number, and then click Cancel.

Locate the Microsoft Clearinghouse telephone number when the license server is not activated

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To locate the Microsoft Clearinghouse telephone number when the license server is not activated

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Select the license server. On the Action menu, click Activate Server, and then click Next.

  3. On the Connection Method page, in the Connection method list, select Telephone, and then click Next.

  4. On the Country or Region Selection page, select your country or region, and then click Next.

  5. The Microsoft Clearinghouse telephone number for your country or region is displayed. Write down the telephone number, and then click Cancel.

Additional references

  • Managing Remote Desktop Licensing

  • Microsoft Clearinghouse

  • Change the Properties of a Remote Desktop License Server

  • Activate a Remote Desktop License Server by Using the Telephone

  • Install Remote Desktop Services Client Access Licenses by Using the Telephone


Find the License Server ID for a Remote Desktop License Server

You need the license server ID when communicating with the Microsoft Clearinghouse and when performing certain tasks on the RD Licensing server, such as using the Managing RDS CALs Wizard in Remote Desktop Licensing Manager.

Use the following procedure to find the license server ID for a Remote Desktop license server.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To find the license server ID for a Remote Desktop license server

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Right-click the license server for which you want to view the license server ID, and then click Properties.

  3. Click the Connection Method tab. The license server ID is listed in the lower portion of the dialog box.

Additional references

  • Managing Remote Desktop Licensing

  • Microsoft Clearinghouse

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)


Managing Remote Desktop Services Client Access Licenses (RDS CALs)

This section provides procedures for managing Remote Desktop Services client access licenses (RDS CALs). The following topics are covered:

  • Control the Issuance of Remote Desktop Services Client Access Licenses (RDS CALs)

  • Track the Issuance of Remote Desktop Services Per User Client Access Licenses

  • Revoke a Remote Desktop Services Per Device Client Access License

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

  • Rebuild the RD Licensing Database

  • Remove Remote Desktop Services Client Access Licenses

You can also use the Remote Desktop Services module for Windows PowerShell to view and configure some RD Licensing settings. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Additional references

  • Overview of Remote Desktop Licensing

  • Understanding Remote Desktop Licensing

  • Configuring Remote Desktop Licensing

  • Managing Remote Desktop Licensing


Control the Issuance of Remote Desktop Services Client Access Licenses (RDS CALs)

By default, a Remote Desktop license server issues a Remote Desktop Services client access license (RDS CAL)—if an appropriate RDS CAL is available—to any Remote Desktop Session Host (RD Session Host) server that requests one on behalf of a client that is trying to connect to the RD Session Host server.

Control which RD Session Host servers are issued RDS CALs

For security reasons, you might want to specify the RD Session Host servers to which a license server offers RDS CALs. You can use the License server security group Group Policy setting to control which RD Session Host servers are issued RDS CALs by the license server.

If you enable the License server security group policy setting and this Group Policy setting is applied to a Remote Desktop license server, the license server responds only to requests for RDS CALs from RD Session Host servers whose computer accounts are members of the Terminal Server Computers group on the license server.

The Terminal Server Computers group is created as a local group on the license server the first time the Remote Desktop Licensing service is started on the license server. By default, the Terminal Server Computers group is empty. The Terminal Server Computers group is not deleted or changed in any way by disabling or not configuring the License server security group policy setting.

If you disable or do not configure the License server security group policy setting, the license server issues an RDS CAL—if an appropriate RDS CAL is available—to any RD Session Host server that requests one.

Note

You should only enable the License server security group policy setting when the license server is a member of a domain. You can only add computer accounts for RD Session Host servers to the Terminal Server Computers group when the license server is a member of a domain. The policy setting has no effect if you enable the policy setting on a license server that is a member of a workgroup; the license server continues to issue RDS CALs to any RD Session Host server that requests RDS CALs from the license server.

The License server security group policy setting is located in Computer Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\RD Licensing and can be configured by using either the Local Group Policy Editor or the Group Policy Management Console (GPMC).

Note

If the License server security group policy setting is enabled and applied to a license server, it is noted in Review Configuration in the Remote Desktop Licensing Manager tool. For more information about Review Configuration, see Review the Configuration of a Remote Desktop License Server.

For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

Control which version of RDS CALs are issued to RD Session Host servers

A license server attempts to provide the most appropriate RDS CAL for a connection. For example, a Windows Server 2008 R2 license server tries to issue a Windows Server 2008 R2 RDS CAL for clients connecting to an RD Session Host server running Windows Server 2008 R2, and tries to issue a Windows Server 2003 TS CAL for clients connecting to an RD Session Host server running Windows Server 2003.

Note

In Windows Server 2008 R2, Terminal Services client access licenses (TS CALs) are now called Remote Desktop Services client access licenses (RDS CALs).

By default, if the most appropriate RDS CAL is not available for a connection, a Windows Server 2008 R2 license server issues a Windows Server 2008 R2 RDS CAL, if available, to the following:

  • A client connecting to a Windows Server 2003 RD Session Host server

  • A client connecting to a Windows 2000 RD Session Host server

You can use the Prevent license upgrade Group Policy setting to change this default behavior. If you enable the Prevent license upgrade policy setting, the license server issues only a temporary RDS CAL to the client if an appropriate RDS CAL for the RD Session Host server is not available. If the client has already been issued a temporary RDS CAL and the temporary RDS CAL has expired, the client is not able to connect to the RD Session Host server unless the RD Licensing grace period for the RD Session Host server has not expired. For more information about the grace period, see Overview of Remote Desktop Licensing.

The Prevent license upgrade policy setting is located in Computer Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\RD Licensing and can be configured by using either the Local Group Policy Editor or the Group Policy Management Console (GPMC).

For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

Additional references

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop Services Client Access Licenses (RDS CALs)


Track the Issuance of Remote Desktop Services Per User Client Access Licenses

You can use the Remote Desktop Licensing Manager tool to create (generate) reports to track the RDS Per User CALs that have been issued by a Remote Desktop license server.

The following are important considerations about RDS Per User CAL tracking and reporting:

  • RDS Per User CAL tracking and reporting can only be used for Windows Server 2008 and Windows Server 2008 R2 RDS Per User CALs. You cannot track and report on Windows Server 2003 RDS Per User CALs.

  • RDS Per User CAL tracking and reporting is supported only in domain-joined scenarios; that is, the Remote Desktop Session Host (RD Session Host) server and the license server must be members of a domain.

  • RDS Per User CAL tracking and reporting is not supported in workgroup mode.

  • Active Directory Domain Services (AD DS) is used for RDS Per User CAL tracking. The information about the RDS Per User CAL that has been issued to a user is stored as part of the user account in AD DS.

  • The functional level of your Active Directory domain must be at least Windows Server 2003. Therefore, a Windows 2000-based Active Directory domain is not supported.

  • The computer account for the license server must be a member of the Terminal Server License Servers group in the domain. If the license server is installed on a domain controller, the Network Service account must also be a member of the Terminal Server License Servers group.

    Important

    To issue RDS Per User CALs to users in other domains, there must be a two-way trust between the domains, and the license server must be a member of the Terminal Server License Servers group in those domains.

You can use Review Configuration to determine if the license server is correctly configured for RDS Per User CAL tracking and reporting. For more information about Review Configuration, see Review the Configuration of a Remote Desktop License Server.

Because the information about the RDS Per User CALs that have been issued to users is stored in AD DS, the only way to get the most current information about the RDS Per User CALs that have been issued by the license server is to create a report by using Remote Desktop Licensing Manager. When you create a report, the necessary information is pulled from AD DS and is compiled together into a report.

Note

Because Remote Desktop Licensing Manager cannot dynamically update the number of RDS Per User CALs that are currently issued and available, those columns are left blank in some areas of Remote Desktop Licensing Manager. Instead there is a Generate Report hyperlink that takes you to this topic. In the Report node, you can view information from reports that have been created, but that information is specific to the date and time when the report was created.

Use the following procedure to create a report about the RDS Per User CALs that have been issued by a license server.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create a report about the RDS Per User CALs that have been issued by a license server

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Select the license server for which you want to generate a report.

  3. On the Action menu, point to Create Report, and then click Per User CAL Usage.

  4. In the Create Per User CAL Usage Report dialog box, select one of the following:

    • Entire domain This is the domain in which the license server is a member.

    • Organizational Unit This is any OU within the domain in which the license server is a member.

    • Entire domain and all trusted domains This can include domains in other forests. Selecting this option can increase the time that it takes to create the report.

    The selection that you make determines which user accounts in AD DS are searched for RDS Per User CAL information to generate the report.

  5. Click Create Report. The report is created and a message appears to confirm that the report was successfully created. Click OK to close the message.

  6. The report that you created appears in the Reports section under the node for the license server. The report provides the following information:

    • Date and time the report was created

    • The scope of the report (e.g., Domain, OU=Sales, or All trusted domains)

    • The number of RDS Per User CALs that are installed on the license server

    • The number of RDS Per User CALs that have been issued by the license server specific to the scope of the report

  7. You can also save the report as a CSV file to a folder location on the computer. To save the report, right-click the report that you want to save, click Save As, and then specify the file name and location to save the report.

Reports that you create are listed in the Reports node under the node for the license server in Remote Desktop Licensing Manager. If you no longer need a report, you can delete the report.

Use the following procedure to delete a report in Remote Desktop Licensing Manager.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To delete a report in Remote Desktop Licensing Manager

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Expand the All Servers node, expand the node for the license server for which the report was created, and then click Reports.

  3. If there is a specific report that you want to delete, right-click the report, and then click Delete Report. To confirm that you want to delete the report, click Yes.

  4. If you want to delete all the reports or only reports older than a certain number of days, on the Action menu, click Delete Reports.

  5. In the Delete Reports dialog box, select either to delete all reports or only reports older than the number of days that you specify, and then click OK. The reports are deleted immediately, and you are not prompted to confirm the deletion.

Additional references

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop Services Client Access Licenses (RDS CALs)

  • Install Remote Desktop Services Client Access Licenses


Revoke a Remote Desktop Services Per Device Client Access License

When a Remote Desktop Session Host (RD Session Host) server is configured to use Per Device licensing mode, and a client computer or device connects to an RD Session Host server for the first time, the client computer or device is issued a temporary license by default. When a client computer or device connects to an RD Session Host server for the second time, if the Remote Desktop license server is activated and enough RDS Per Device CALs are available, the license server issues the client computer or device a permanent RDS Per Device CAL. If the license server is not activated or does not have any RDS Per Device CALs available, the device continues to use the temporary license. The temporary license is valid for 90 days.

A permanent RDS Per Device CAL issued by a license server is configured to automatically expire after a random period between 52 and 89 days, at which time the RDS Per Device CAL returns to the pool of available RDS Per Device CALs on the license server.

In some circumstances, you might want or need to return an RDS Per Device CAL that has been issued back to the available pool on the license server before the automatic expiration period has been reached. For example, you might want to do this if the client computer or device is no longer a part of your environment.

You can revoke an RDS Per Device CAL by using the Remote Desktop Licensing Manager tool.

Important

You can only revoke an RDS Per Device CAL. You cannot revoke an RDS Per User CAL.

After you have revoked the RDS Per Device CAL, that RDS Per Device CAL is immediately available to be issued to another client computer or device. Revocation is not a substitute for ensuring that you have enough RDS Per Device CALs to support your environment.

You can only revoke up to twenty percent of the number of RDS Per Device CALs of a particular version installed on your license server. For example, if there are 100 Windows Server 2003 TS Per Device CALs installed on the license server, you can only have 20 of those Windows Server 2003 TS Per Device CALs revoked at any given time. If you also have 200 Windows Server 2008 R2 RDS Per Device CALs installed on the license server, you can revoke up to 40 of those Windows Server 2008 R2 RDS Per Device CALs in addition to the Windows Server 2003 TS Per Device CALs that you have revoked.

Note

In Windows Server 2008 R2, Terminal Services client access licenses (TS CALs) are now called Remote Desktop Services client access licenses (RDS CALs).

Use the following procedure to revoke an RDS Per Device CAL by using Remote Desktop Licensing Manager.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To revoke an RDS Per Device CAL by using Remote Desktop Licensing Manager

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Expand the node that represents the license server that issued the RDS Per Device CAL, and then select the node that represents the version of RDS Per Device CAL that was issued. For example, click Windows Server 2008 R2 - Installed RDS Per Device CALs.

  3. From the list of issued RDS Per Device CALs, select the RDS Per Device CAL that you want to revoke.

  4. On the Action menu, click Revoke RDS CAL.

  5. To confirm that you want to revoke this RDS Per Device CAL, click Yes.

  6. If the revocation was successful, a message appears confirming that the RDS Per Device CAL was revoked and telling you how many more RDS Per Device CALs of that version you can still revoke.

  7. Click OK to close this message. The Status column for the RDS Per Device CAL shows a status of Revoked when the Remote Desktop Licensing Manager display is refreshed.

Additional references

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop Services Client Access Licenses (RDS CALs)

  • Install Remote Desktop Services Client Access Licenses


Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

You can use the Manage RDS CALs Wizard in the Remote Desktop Licensing Manager tool to migrate Remote Desktop Services client access licenses (RDS CALs) from one Remote Desktop license server to a Remote Desktop license server that is running Windows Server 2008 R2.

Note

The license server where you are migrating the RDS CALs from is known as the source license server. The license server where you are migrating the RDS CALs to is known as the target license server.

You might want to migrate RDS CALs from the source license server to the target license server if you are replacing the source license server with the target license server or if the source license server is no longer functioning.

The following are important considerations about migrating RDS CALs by using the Manage RDS CALs Wizard:

  • The target license server must be running Windows Server 2008 R2 and must be activated.

  • The source license server can be running Windows Server 2008 R2, Windows Server 2008, Windows Server 2003, or Windows 2000.

  • Automatic RDS CAL migration removes the RDS CALs from the source license server and installs them onto the target license server.

    Note

    Automatic RDS CAL migration can be performed by using any of the three connection methods available for communicating with the Microsoft Clearinghouse. Those three methods are: Automatic connection (recommended), Web Browser, and Telephone.

  • Automatic RDS CAL migration is only supported if both the source and target license servers are running Windows Server 2008 R2 and if there is network connectivity between the two license servers when the Manage RDS CALs Wizard is run. Both license servers must also be activated.

  • If automatic RDS CAL migration cannot be performed, you must remove the migrated RDS CALs manually from the source license server after the Manage RDS CALs Wizard has finished running. For more information about removing RDS CALs, see Remove Remote Desktop Services Client Access Licenses.

    Important

    You must discontinue using the source license server as a license server with the same RDS CALs that you have migrated. If you continue to use the source license server with the same RDS CALs that you migrated to the target license server, you are in violation of the Microsoft Software License Terms.

  • If the source license server is not available on the network when the Manage RDS CALs Wizard is run, you need to provide the license server ID for the source license server. For information about finding the license server ID for a license server, see Find the License Server ID for a Remote Desktop License Server.

There are three methods by which you can migrate RDS CALs between two license servers:

  • Migrate Remote Desktop Services Client Access Licenses by Using the Automatic Connection Method

  • Migrate Remote Desktop Services Client Access Licenses by Using a Web Browser

  • Migrate Remote Desktop Services Client Access Licenses by Using the Telephone

Additional references

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop Services Client Access Licenses (RDS CALs)

  • Rebuild the RD Licensing Database


Migrate Remote Desktop Services Client Access Licenses by Using the Automatic Connection Method

To migrate RDS CALs by using the Automatic connection method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To migrate RDS CALS by using the Automatic connection method

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Automatic connection (recommended) by right-clicking the license server onto which you want to migrate the RDS CALs, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server onto which you want to migrate the RDS CALs, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Migrate RDS CALs from another license server to this license server.

  6. Select the reason for migrating the RDS CALs. You can select either of the following:

    • The source license server is being replaced by this license server.

    • The source license server is no longer functioning.

  7. Click Next.

  8. The page that appears in the wizard depends on the reason that you selected on the previous page.

    • If you selected The source license server is being replaced by this license server as the reason for migrating the RDS CALs, the Source License Server Information page appears.

      On the Source License Server Information page, enter the name or IP address of the source license server.

      • If the source license server is available on the network, click Next. The wizard contacts the source license server. If the source license server is running an operating system earlier than Windows Server 2008 R2 or the source license server is deactivated, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the License Program page appears.

      • If the source license server is not available on the network, select the The specified source license server is not available on the network check box. If the source license server is not available on the network, you need to specify the operating system that the source license server is running and provide the license server ID for the source license server. After you click Next, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the License Program page appears.

    • If you selected The source license server is no longer functioning as the reason for migrating the RDS CALs, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the License Program page appears.

  9. On the License Program page, select the appropriate program through which you purchased your RDS CALs, and then click Next.

  10. The License Program that you selected on the previous page in the wizard will determine what information you will need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs.

  11. After you have entered the required information, click Next.

  12. On the Product Version and License Type page, select the appropriate product version, license type, and quantity of RDS CALs for your environment based on your RDS CAL purchase agreement, and then click Next.

  13. The Microsoft Clearinghouse is automatically contacted and processes your request. The RDS CALs are then migrated onto the license server.

  14. On the Completing the Manage RDS CALs Wizard page, click Finish.

Additional references

  • Find the License Server ID for a Remote Desktop License Server

  • Remove Remote Desktop Services Client Access Licenses

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

  • Microsoft Clearinghouse


Migrate Remote Desktop Services Client Access Licenses by Using a Web Browser

The Web migration method can be used when the computer running the Remote Desktop Licensing Manager tool does not have Internet connectivity, but you have access to the Web by means of a Web browser from another computer. The URL for the Web migration method is displayed in the Manage RDS CALs Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To migrate RDS CALS by using a Web browser

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Web Browser by right-clicking the license server onto which you want to migrate the RDS CALs, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server onto which you want to migrate the RDS CALs, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Migrate RDS CALs from another license server to this license server.

  6. Select the reason for migrating the RDS CALs. You can select either of the following:

    • The source license server is being replaced by this license server.

    • The source license server is no longer functioning.

  7. Click Next.

  8. The page that appears in the wizard depends on the reason that you selected on the previous page.

    • If you selected The source license server is being replaced by this license server as the reason for migrating the RDS CALs, the Source License Server Information page appears.

      On the Source License Server Information page, enter the name or IP address of the source license server.

      • If the source license server is available on the network, click Next. The wizard contacts the source license server. If the source license server is running an operating system earlier than Windows Server 2008 R2 or the source license server is deactivated, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

      • If the source license server is not available on the network, select the The specified source license server is not available on the network check box. If the source license server is not available on the network, you need to specify the operating system that the source license server is running and provide the license server ID for the source license server. After you click Next, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

    • If you selected The source license server is no longer functioning as the reason for migrating the RDS CALs, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

  9. On the Obtain Client License Key Pack page, click the hyperlink to connect to the Remote Desktop Services Licensing Web site.

    If you are running Remote Desktop Licensing Manager on a computer that does not have Internet connectivity, note the address for the Remote Desktop Services Licensing Web site, and then connect to the Web site from a computer that has Internet connectivity.

  10. On the Remote Desktop Services Licensing Web page, under Select Option, select Manage CALs, and then click Next.

  11. Provide the following required information:

    • Target License Server ID A 35-digit number, in groups of 5 numerals, which is displayed on the Obtain Client License Key Pack page in the Manage RDS CALs Wizard.

    • Reason for recovery Select the reason for migrating the RDS CALs.

    • License Program Select the appropriate program through which you purchased your RDS CALs.

  12. Click Next.

  13. Provide the following required information:

    • Last name or surname

    • First name or given name

    • Company name

    • Country/region

    You can also provide the optional information requested, such as company address, e-mail address, and phone number. In the organizational unit field, you can describe the unit within your organization that this license server serves.

  14. Click Next.

  15. The License Program that you selected on the previous page determines what information you need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs. In addition, you need to specify which type of RDS CAL and the quantity that you want to migrate to the license server.

  16. After you have entered the required information, click Next.

  17. Verify that all of the information that you have entered is correct. To submit your request to the Microsoft Clearinghouse, click Next. The Web page then displays a license key pack ID generated by the Microsoft Clearinghouse.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse, should you need assistance with recovering RDS CALs.

  18. In the Manage RDS CALs Wizard, on the Obtain Client License Key Pack page, enter the license key pack ID in the boxes provided, and then click Next. The RDS CALs are migrated onto your license server.

  19. On the Completing the Manage RDS CALs Wizard page, click Finish.

Additional references

  • Find the License Server ID for a Remote Desktop License Server

  • Remove Remote Desktop Services Client Access Licenses

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

  • Microsoft Clearinghouse


Migrate Remote Desktop Services Client Access Licenses by Using the Telephone

The telephone migration method allows you to talk to a Microsoft customer service representative to complete the migration process. The appropriate telephone number is determined by the country/region that you chose in the Activate Server Wizard and is displayed in the Manage RDS CALs Wizard.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To migrate RDS CALS by using the telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Telephone by right-clicking the license server onto which you want to migrate the RDS CALs, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server onto which you want to migrate the RDS CALs, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Migrate RDS CALs from another license server to this license server.

  6. Select the reason for migrating the RDS CALs. You can select either of the following:

    • The source license server is being replaced by this license server.

    • The source license server is no longer functioning.

  7. Click Next.

  8. The page that appears in the wizard depends on the reason that you selected on the previous page.

    • If you selected The source license server is being replaced by this license server as the reason for migrating the RDS CALs, the Source License Server Information page appears.

      On the Source License Server Information page, enter the name or IP address of the source license server.

      • If the source license server is available on the network, click Next. The wizard contacts the source license server. If the source license server is running an operating system earlier than Windows Server 2008 R2 or the source license server is deactivated, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

      • If the source license server is not available on the network, select the The specified source license server is not available on the network check box. If the source license server is not available on the network, you need to specify the operating system that the source license server is running and provide the license server ID for the source license server. After you click Next, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

    • If you selected The source license server is no longer functioning as the reason for migrating the RDS CALs, you are reminded that you must remove the RDS CALs manually from the source license server after the wizard has completed. After you confirm that you understand this requirement, the Obtain Client License Key Pack page appears.

  9. On the Obtain Client License Key Pack page, use the telephone number that is displayed to call the Microsoft Clearinghouse, and give the representative your Remote Desktop license server ID and the required information for the licensing program through which you purchased your RDS CALs. The representative then processes your request to migrate the RDS CALs, and gives you a unique ID for the RDS CALs. This unique ID is referred to as the license key pack ID.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse should you need assistance with recovering RDS CALs.

  10. In the Manage RDS CALs Wizard, on the Obtain Client License Key Pack page, enter the license key pack ID in the boxes provided, and then click Next. The RDS CALs are migrated onto your license server.

  11. On the Completing the Manage RDS CALs Wizard page, click Finish.

Additional references

  • Find the License Server ID for a Remote Desktop License Server

  • Remove Remote Desktop Services Client Access Licenses

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

  • Microsoft Clearinghouse


Rebuild the RD Licensing Database

You can use the Managing RDS CALs Wizard in Remote Desktop Licensing Manager to rebuild the RD Licensing database on a license server that is running Windows Server 2008 R2. You cannot rebuild the RD Licensing database of a license server that is running an earlier version of Windows Server.

Caution

Rebuilding the RD Licensing database will delete any RDS CALs that are currently installed on the license server. After the RD Licensing database is rebuilt, you must reinstall your RDS CALs onto the license server. Therefore, before you rebuild the RD Licensing database on a license server, ensure that you have your RDS CAL purchase agreement documentation available.

There are three methods by which you can rebuild the RD Licensing database on a license server:

  • Rebuild the RD Licensing Database Automatically

  • Rebuild the RD Licensing Database by Using a Web Browser

  • Rebuild the RD Licensing Database by Using the Telephone

Additional references

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)

  • Remote Desktop Services Client Access Licenses (RDS CALs)


Rebuild the RD Licensing Database Automatically

The automatic rebuilding method requires Internet connectivity from the computer running the Remote Desktop Licensing Manager tool. Internet connectivity is not required from the license server itself. This method uses TCP/IP (TCP port 443) to connect directly to the Microsoft Clearinghouse.

Caution

Rebuilding the RD Licensing database deletes any RDS CALs that are currently installed on the license server. After the RD Licensing database is rebuilt, you must reinstall your RDS CALs onto the license server. Therefore, before you rebuild the RD Licensing database on a license server, ensure that you have your RDS CAL purchase agreement documentation available.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To rebuild the RD Licensing database automatically

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Automatic connection (recommended) by right-clicking the license server on which you want to rebuild the RD Licensing database, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server whose RD Licensing database you want to rebuild, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Rebuild the license server database.

  6. Select a reason for rebuilding the RD Licensing database, and then click Next.

  7. On the Confirm Deletion of RDS CALs page, select the Confirm deletion of RDS CALs currently installed on this license server check box, and then click Next.

  8. After the contents of the RD Licensing database have been deleted, on the Reinstalling RDS CALs page, click Next.

    Note

    You can only reinstall one set (or pack) of RDS CALs at a time. After you have reinstalled the first set of RDS CALs, the wizard asks you if you want to reinstall another set of RDS CALs. You are asked this after each set of RDS CALs is reinstalled.

  9. On the License Program page, select the appropriate program through which you purchased your RDS CALs, and then click Next.

  10. The License Program that you selected on the previous page in the wizard determines what information you need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs.

  11. After you have entered the required information, click Next.

  12. On the Product Version and License Type page, select the appropriate product version, license type, and quantity of RDS CALs for your environment based on your RDS CAL purchase agreement, and then click Next.

  13. The Microsoft Clearinghouse is automatically contacted and processes your request. The RDS CALs are then automatically reinstalled onto the license server.

  14. To reinstall another set of RDS CALs, on the Reinstalling Additional RDS CALs page, click Continue reinstalling additional RDS CALs, and then click Next. Repeat steps 9 through 13.

    To finish rebuilding the RD Licensing database, click Finish rebuilding the RD Licensing database, click Next, and then click Finish.

Additional references

  • Rebuild the RD Licensing Database

  • Microsoft Clearinghouse


Rebuild the RD Licensing Database by Using a Web Browser

The Web rebuilding method can be used when the computer running the Remote Desktop Licensing Manager tool does not have Internet connectivity, but you have access to the Web by means of a Web browser from another computer. The URL for the Web rebuilding method is displayed in the Manage RDS CALs Wizard.

Caution

Rebuilding the RD Licensing database deletes any RDS CALs that are currently installed on the license server. After the RD Licensing database is rebuilt, you must reinstall your RDS CALs onto the license server. Therefore, before you rebuild the RD Licensing database on a license server, ensure that you have your RDS CAL purchase agreement documentation available.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To rebuild the RD Licensing database by using a Web browser

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Web Browser by right-clicking the license server on which you want to rebuild the RD Licensing database, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server whose RD Licensing database you want to rebuild, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Rebuild the license server database.

  6. Select a reason for rebuilding the RD Licensing database, and then click Next.

  7. On the Confirm Deletion of RDS CALs page, select the Confirm deletion of RDS CALs currently installed on this license server check box, and then click Next.

  8. After the contents of the RD Licensing database have been deleted, on the Reinstalling RDS CALs page, click Next.

    Note

    You can only reinstall one set (or pack) of RDS CALs at a time. After you have reinstalled the first set of RDS CALs, the wizard asks you if you want to reinstall another set of RDS CALs. You are asked this after each set of RDS CALs is reinstalled.

  9. On the Obtain Client License Key Pack page, click the hyperlink to connect to the Remote Desktop Services Licensing Web site.

    If you are running Remote Desktop Licensing Manager on a computer that does not have Internet connectivity, note the address for the Remote Desktop Services Licensing Web site, and then connect to the Web site from a computer that has Internet connectivity.

  10. On the Remote Desktop Services Licensing Web page, under Select Option, select Manage CALs, and then click Next.

  11. Provide the following required information:

    • Target License Server ID A 35-digit number, in groups of 5 numerals, which is displayed on the Obtain Client License Key Pack page in the Manage RDS CALs Wizard.

    • Reason for recovery Select the reason for rebuilding the RD Licensing database.

    • License Program Select the appropriate program through which you purchased your RDS CALs.

  12. Click Next.

  13. Provide the following required information:

    • Last name or surname

    • First name or given name

    • Company name

    • Country/region

    You can also provide the optional information requested, such as company address, e-mail address, and phone number. In the organizational unit field, you can describe the unit within your organization that this license server serves.

  14. Click Next.

  15. The License Program that you selected on the previous page determines what information you need to provide on this page. In most cases, you must provide either a license code or an agreement number. Consult the documentation provided when you purchased your RDS CALs. In addition, you need to specify which type of RDS CAL and the quantity that you want to reinstall on the license server.

  16. After you have entered the required information, click Next.

  17. Verify that all of the information that you have entered is correct. To submit your request to the Microsoft Clearinghouse, click Next. The Web page then displays a license key pack ID generated by the Microsoft Clearinghouse.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse, should you need assistance with recovering RDS CALs.

  18. In the Manage RDS CALs Wizard, on the Obtain Client License Key Pack page, enter the license key pack ID in the boxes provided, and then click Next. The RDS CALs are reinstalled onto your license server.

  19. To reinstall another set of RDS CALs, on the Reinstalling Additional RDS CALs page, click Continue reinstalling additional RDS CALs, and then click Next. Repeat steps 9 through 18.

    To finish rebuilding the RD Licensing database, click Finish rebuilding the RD Licensing database, click Next, and then click Finish.

Additional references

  • Rebuild the RD Licensing Database

  • Microsoft Clearinghouse


Rebuild the RD Licensing Database by Using the Telephone

The telephone rebuilding method allows you to talk to a Microsoft customer service representative to complete the rebuilding process. The appropriate telephone number is determined by the country/region that you chose in the Activate Server Wizard and is displayed in the Manage RDS CALs Wizard.

Caution

Rebuilding the RD Licensing database deletes any RDS CALs that are currently installed on the license server. After the RD Licensing database is rebuilt, you must reinstall your RDS CALs onto the license server. Therefore, before you rebuild the RD Licensing database on a license server, ensure that you have your RDS CAL purchase agreement documentation available.

Membership in the local Administrators group, or equivalent, on the RD Licensing server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To rebuild the RD Licensing database by using the telephone

  1. On the license server, open Remote Desktop Licensing Manager. To open Remote Desktop Licensing Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Licensing Manager.

  2. Verify that the connection method for the Remote Desktop license server is set to Telephone by right-clicking the license server on which you want to rebuild the RD Licensing database, and then clicking Properties. On the Connection Method tab, change the connection method if necessary, and then click OK.

  3. Select the license server whose RD Licensing database you want to rebuild, and then on the Action menu, click Manage RDS CALs.

  4. On the Welcome to the Manage RDS CALs Wizard page, click Next.

  5. On the Action Selection page, click Rebuild the license server database.

  6. Select a reason for rebuilding the RD Licensing database, and then click Next.

  7. On the Confirm Deletion of RDS CALs page, select the Confirm deletion of RDS CALs currently installed on this license server check box, and then click Next.

  8. After the contents of the RD Licensing database have been deleted, on the Reinstalling RDS CALs page, click Next.

    Note

    You can only reinstall one set (or pack) of RDS CALs at a time. After you have reinstalled the first set of RDS CALs, the wizard asks you if you want to reinstall another set of RDS CALs. You are asked this after each set of RDS CALs is reinstalled.

  9. On the Obtain Client License Key Pack page, use the telephone number that is displayed to call the Microsoft Clearinghouse, and give the representative your Remote Desktop license server ID and the required information for the licensing program through which you purchased your RDS CALs. The representative then processes your request to reinstall the RDS CALs, and gives you a unique ID for the RDS CALs. This unique ID is referred to as the license key pack ID.

    Important

    Retain a copy of the license key pack ID. Having this information with you facilitates communications with the Microsoft Clearinghouse should you need assistance with recovering RDS CALs.

  10. In the Manage RDS CALs Wizard, on the Obtain Client License Key Pack page, enter the license key pack ID provided by the representative into the boxes provided, and then click Next. The RDS CALs are reinstalled onto your Remote Desktop license server.

  11. To reinstall another set of RDS CALs, on the Reinstalling Additional RDS CALs page, click Continue reinstalling additional RDS CALs, and then click Next. Repeat steps 9 and 10.

    To finish rebuilding the RD Licensing database, click Finish rebuilding the RD Licensing database, click Next, and then click Finish.

Additional references

  • Rebuild the RD Licensing Database

  • Microsoft Clearinghouse


Remove Remote Desktop Services Client Access Licenses

You can use the Manage RDS CALs Wizard in the Remote Desktop Licensing Manager tool to migrate RDS CALs from one Remote Desktop license server to a Remote Desktop license server that is running Windows Server 2008 R2. However, automatic RDS CAL migration is only supported if both license servers are running Windows Server 2008 R2 and if there is network connectivity between the two license servers when the Manage RDS CALs Wizard is run.

Note

The license server where you are migrating the RDS CALs from is known as the source license server. The license server where you are migrating the RDS CALs to is known as the target license server.

If automatic RDS CAL migration cannot be performed, you must remove the migrated RDS CALs manually from the source license server after the Manage RDS CALs Wizard has finished running.

Important

You must discontinue using the source license server as a license server with the same RDS CALs that you have migrated. If you continue to use the source license server with the same RDS CALs that you migrated to the target license server, you are in violation of the Microsoft Software License Terms.

For example, if the source license server is running Windows Server 2008 R2, but the license server was not available on the network when the Managing RDS CALs Wizard was run, you need to remove the migrated RDS CALs manually from the source license server. For a license server that is running Windows Server 2008 R2, you can remove the RDS CALs by using the Remote Desktop Services Windows Management Instrumentation (WMI) provider. For more information about the Remote Desktop Services WMI provider, see http://go.microsoft.com/fwlink/?LinkId=143459. You can also deactivate the source license server or remove the RD Licensing role service from the computer. For more information, see Deactivate a Remote Desktop License Server and Uninstall the Remote Desktop Licensing Role Service.

Automatic RDS CAL migration is not supported if the source license server is running a version of Windows Server earlier than Windows Server 2008 R2. In these instances, to remove the migrated RDS CALs manually from the source license server, you must deactivate the source license server or remove the RD Licensing role service from the computer. You cannot use the Remote Desktop Services WMI provider.

Additional references

  • Migrate Remote Desktop Services Client Access Licenses (RDS CALs)

  • Managing Remote Desktop Services Client Access Licenses (RDS CALs)